2011-01-25 4 views
9

información sobre la instalaciónSonar problema de instalación

El uso de base de datos integrada derbis

Problema:

corro bin/windows-x86-32/StartSonar.bat y haga clic en http://localhost:9000

Al hacer clic sobre este, me sale el siguiente error:

We're sorry, but something went wrong. 
Please try back in a few minutes and contact support if the problem persists. 
<%= link_to "Go back to the homepage", home_path %> 

¿Sabes qué hacer con ese mensaje de error?

Respuesta

6

Normalmente recibo ese mensaje cuando la base de datos no está configurada correctamente (o el local tiene un problema, en cuyo caso intento una instalación nueva).
O la base de datos mysql que puede asociar tiene un problema (incorrecto 'sonar.jdbc.username' o 'sonar.jdbc.password' en el archivo sonar.properties).
O el puerto predeterminado para la base de datos incrustada (jdbc:derby://localhost:1527/sonar;create=true) no está disponible en su servidor/estación de trabajo.


Si está utilizando una base de datos MySQL (no su caso), es necesario crear primero:

mysql [localhost] {root} ((none)) > CREATE DATABASE IF NOT EXISTS sonar CHARACTER SET utf8 COLLATE utf8_general_ci; 
Query OK, 1 row affected (0.01 sec) 

mysql [localhost] {root} ((none)) > grant all privileges on sonar.* to 'sonar'@'localhost' identified by 'sonar'; 
Query OK, 0 rows affected (0.00 sec) 

mysql [localhost] {root} ((none)) > flush privileges; 
Query OK, 0 rows affected (0.00 sec) 
+0

asegúrese de que el nombre de usuario y la contraseña se ajusten a lo que dice en el archivo de configuración del sonar. – special0ne

3

Comprobar el sonar archivo de registro para encontrar el problema que está enfrentando. averigüe el error del archivo de registro e intente resolverlo.

aplausos ..!

2

Mi SO es Mac.

Si la versión de sonar es 6.x, intenta ejecutar los pasos del siguiente:

  1. Compruebe el registro: /Users/test/Downloads/sonarqube-6.0/logs/sonar.log
  2. Tanto si se tiene el error: “zh-CN” is not a valid locale o
  3. Por favor, ejecute el comando : gem uninstall -i /Users/test/.rvm/gems/ruby-2.3.0 i18n

La versión de Ruby es su rubí predeterminado.

+0

Esto resolvió mi problema. – octavian

Cuestiones relacionadas